Running php 5.4 and 5.5 (eselect)

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

Running php 5.4 and 5.5 (eselect)

Postby ivy2015 » Wed Jun 25, 2014 10:16

Hi all,
Have been using Sabayon for 2 years+ now, and love it.
Just installed it on my new machine as well.

Anyway, I need to be able to switch between PHP 5.4 and 5.5 fairly often.
Already installed eselect-php and php 5.4 (with Entrophy).
But what is the best path to follow in order to install 5.5(.13)?

Mixing usage of Portage and Entrophy seems a bit scary (understatement, I'm not that much of a power user - but I know my ways around by now). On the other hand, it might be the only way - since I can't find an Entropy package for 5.5. and I know it's available in Portage.

Any tips are welcome.
Will be online for a while.

Tnx,
Ivy
ivy2015
Baby Hen
 
Posts: 12
Joined: Wed Jun 25, 2014 9:59

Re: Running php 5.4 and 5.5 (eselect)

Postby svantoviit » Wed Jun 25, 2014 13:07

ivy2015 wrote:On the other hand, it might be the only way…

Yes, for the moment, 5.5. is not even in limbo yet.
svantoviit
Old Dear Hen
 
Posts: 646
Joined: Sun Feb 28, 2010 17:55

Re: Running php 5.4 and 5.5 (eselect)

Postby ivy2015 » Thu Jun 26, 2014 8:53

svantoviit wrote:Yes, for the moment, 5.5. is not even in limbo yet.


That's unfortunate (and a bit surprising imo, since it's the current stable).
Thanks for the reply.

Other people who suffer with this problem (and who are most likely using Entrophy/equo at the moment): you have to mix usage of Entrophy and Portage, so you can install 5.5 with Portage. But be aware of the pitfalls. See:

https://wiki.sabayon.org/index.php?titl ... tage_Guide
https://wiki.sabayon.org/index.php?titl ... nd_Portage
ivy2015
Baby Hen
 
Posts: 12
Joined: Wed Jun 25, 2014 9:59


Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 7 guests